package com.omirob.MBothPath;

import com.sun.jersey.api.client.Client;
import com.sun.jersey.api.client.ClientResponse;
import com.sun.jersey.api.client.WebResource;

public class MovementAction {

	static Client client = Client.create();
		
	public void moveForward() {
		WebResource webResource = client
				.resource("http://192.168.75.27:2222/rover/actuation/move/forward/300");
		String myTest = "1000";
		ClientResponse response = webResource.type("text/plain").put(ClientResponse.class,myTest);
		
		if (response.getStatus() != 200) {
			throw new RuntimeException("Failed : HTTP error code : "
					+ response.getStatus());
		}
		
		String output = response.getEntity(String.class);
		
		System.out.println("Output from Server .... \n");
		System.out.println(output);
		
	}
	
	public void moveBackward() {
		WebResource webResource = client
				.resource("http://192.168.75.27:2222/rover/actuation/move/backward/300");
		String myTest = "1000";
		ClientResponse response = webResource.type("text/plain").put(ClientResponse.class,myTest);
		
		if (response.getStatus() != 200) {
			throw new RuntimeException("Failed : HTTP error code : "
					+ response.getStatus());
		}
		
		String output = response.getEntity(String.class);
		
		System.out.println("Output from Server .... \n");
		System.out.println(output);
		
	}
	
	public void moveRight() {
		WebResource webResource = client
				.resource("http://192.168.75.27:2222/rover/actuation/move/right/300");
		String myTest = "1000";
		ClientResponse response = webResource.type("text/plain").put(ClientResponse.class,myTest);

		if (response.getStatus() != 200) {
			throw new RuntimeException("Failed : HTTP error code : "
					+ response.getStatus());
		}
		
		String output = response.getEntity(String.class);
		
		System.out.println("Output from Server .... \n");
		System.out.println(output);
		
	}
	
	public void moveLeft() {
		WebResource webResource = client
				.resource("http://192.168.75.27:2222/rover/actuation/move/left/300");
		String myTest = "1000";
		ClientResponse response = webResource.type("text/plain").put(ClientResponse.class,myTest);

		if (response.getStatus() != 200) {
			throw new RuntimeException("Failed : HTTP error code : "
					+ response.getStatus());
		}
		
		String output = response.getEntity(String.class);
		
		System.out.println("Output from Server .... \n");
		System.out.println(output);
		
	}
	
	public void checkObject() {
		WebResource webResource = client
				.resource("http://192.168.75.27:2222/rover/sensor/us");
		ClientResponse response = webResource.type("text/plain").get(ClientResponse.class);
		
		System.out.println("UltraSonic .... \n");
		
	}

}
