package com.omirob.MBothPath;

import java.util.ArrayList;
import java.util.List;

public class App 
{
    public static void main( String[] args ) throws InterruptedException
    {
    	WebSocket socket = new WebSocket();
    	socket.listen_to_Websocket("ws://192.168.75.11:8090/omitag/");
    	
    	MovementAction client = new MovementAction();
    
//    while(true) {
    	for(String index : args) {
    	
		List<Double> data = calcMovement(index);
		double angle = data.get(0);
		double distance = data.get(1);
		boolean checkLeft = false;
		boolean checkRight = false;
		boolean checkDestination = false;
		
		if(angle < 0) {
			while(angle <= 0.1) {
				List<Double> data1 = calcMovement(index);
				angle = data1.get(0);
				System.out.println("Schleife1: Angle: " +angle);
				if(data1.get(0) > 0) {
					client.moveRight();
				}else{
					client.moveLeft();
				}
			}
			System.out.println("Distance: "+distance);
			while(distance > 0.02) {
				List<Double> data1 = calcMovement(index);	
				System.out.println("Distance: "+distance);
				Thread.sleep(500);
				client.moveForward();
				distance = data1.get(1);
			}
			client.checkObject();
//			break;
		}
		
		if(angle > 0) {
			while(angle > 0.1) {
				List<Double> data1 = calcMovement(index);
				angle = data1.get(0);
				System.out.println("Schleife2: Angle: " +angle);
				if(data1.get(0) > 0) {
					client.moveRight();
				}
				else {
					client.moveLeft();
	//				break;
				}
			}
			while(distance > 0.02) {
				List<Double> data1 = calcMovement(index);	
				System.out.println("Distance: "+distance);
				Thread.sleep(500);
				client.moveForward();
				distance = data1.get(1);
			}
			client.checkObject();
//			break;
		}
		Thread.sleep(2000);
		System.out.println(index);
      }
    }

//    }  
    private static List<Double> calcMovement(String poi) {
      double mbot_x0 = 0;
      double mbot_y0 = 0;
      double mbot_x1 = 0;
      double mbot_y1 = 0;
      double destination_x = 0;
      double destination_y = 0;
      List<Double> returnList = new ArrayList<Double>();
      
      for (String index: WebSocket.d.values()){
      	 String[] temp = index.split("\\s+");
      	 
      	 if (temp[0].equals("16")){
      		 mbot_x0 = Double.parseDouble(temp[1]);
      		 mbot_y0 = Double.parseDouble(temp[2]);
      	 }else if (temp[0].equals("21")){
      		 mbot_x1 = Double.parseDouble(temp[1]);
      		 mbot_y1 = Double.parseDouble(temp[2]);
      	 }else if (temp[0].equals(poi)){
      		 destination_x = Double.parseDouble(temp[1]);
      		 destination_y = Double.parseDouble(temp[2]);
      	 }
    }
    double angle_mbot = Math.atan2(mbot_y1 - mbot_y0, mbot_x1 - mbot_x0 );
    double angle_mbot_dest = Math.atan2(destination_y - (mbot_y1 + mbot_y0)/2, destination_x - (mbot_x1 + mbot_x0)/2 );
    System.out.println(angle_mbot-angle_mbot_dest);
    double resultAngle =angle_mbot-angle_mbot_dest;
    double resultMatch = destination_x - (mbot_x1 + mbot_x0)/2;

    returnList.add(resultAngle);
    returnList.add(resultMatch);
    System.out.println(resultAngle);
    
    return returnList;
    }
}
